main {
    display: flex;
    justify-content: center;
    align-items: center;
}

.signup-container {
    margin: 5rem auto;
    display: flex;
    flex-direction: column;
    align-items: flex-start;

    & h2 {
        width: 100%;
        max-width: 550px;
        margin: 0 0 2rem 0;
        align-self: flex-start;
    }

    form {
        width: 100%;
        max-width: 550px;
        padding: 2rem;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        white-space: normal;
        line-height: 2rem;
        border: 0.5px solid rgba(0, 0, 0, 0.192);
        border-radius: 5px;
        box-shadow: 1px 1px 10px 1px rgba(0, 0, 0, 0.2);
    }

    .form-fields {
        width: 100%;
        box-sizing: border-box;
        display: flex;
        flex-direction: column;
    }

    .form-agreement {
        margin: 1rem 0;
        display: flex;
        align-items: center;
        white-space: nowrap;
        gap: 0.5rem;
    }

    .form-buttons {
        width: 100%;
        margin: 1rem 0;
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 1rem;
    }
}

.btn-look {
    width: 200px;
    padding: 0.6rem;
    font-size: 1rem;
    font-weight: 300;
    text-decoration: none;
    color: var(--p-contrast);
    background-color: var(--button-default);
    border-radius: 5px;
    border: none;
    box-shadow: 2px 2px 6px 1px rgba(0, 0, 0, 0.7);
    display: inline-flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    box-sizing: border-box;
    margin: 0;
    vertical-align: top;
    line-height: normal;
    min-height: 44px;
    cursor: pointer;
}

.btn-look:hover,
.btn-look:focus {
    background-color: var(--button-hover);
    text-decoration: none;
}

.btn-look:active {
    background-color: var(--button-onclick);
    text-decoration: none;
}